package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2015
 * This file is under GPL version 3.
 *
 */

public interface DerivativesCalculateable {

/** Calculates F(x).
 */
public double getF(final double x);

/** Calculates dF/dx. */
public double getDF(final double x);

/** Calculates d2F/dx^2. */
public double getD2F(final double x);

}
