package com.polytechnik.utils;

/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** An interface to iterate over all values.
 *  @version $Id: TObjectProcedure.java,v 1.2 2008/09/27 18:54:28 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface TObjectProcedure<V> {
    /** Executes this procedure.
     * A false return value indicates that the
     * application executing this procedure should
     * not invoke this procedure again.
     */
    boolean execute(final V b);
}
